TULISAN - Feature #3584

Autogenerate No. Voucher [Accounting]
04/28/2025 04:48 PM - haykal haykal

Status: Closed Start date: 04/28/2025
Priority: High Due date: 05/02/2025
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mbak Yomma,

Ingin dibuatkan fitur autogenerate No. Voucher (field ExternallD di PTRFINANCEHEAD) di dokumen Accounting sesuai dengan
format yg mereka minta. Jadi nanti No. Voucher nya autogenerate ketika Saving, baik itu saving di Ul ataupun dari CRM.

Untk formatnya seperti di file yang aku attach ini.
Aku juga sudah buat tabel parameternya yaitu di tabel PARAMETERNOVOUCHER

Jadi untk kode depan BRV dan BDV itu akan terbentuk apabila di dokumen Accountingnya ada GLAccount-GLAccount yg ada di
tabel PARAMETERNOVOUCHER itu (berdasarkan posisi Debit Creditnya juga)

Dan untuk jurnal Accounting yg di dalamnya tidak ada GLAccount yang terdaftar di tabel itu, maka kode depannya adalah GJ
(General Journal)

Dan ada satu lagi yaitu Purchase Journal (PJ). PJ ini sama seperti GJ, akan terbentuk apabila di jurnalnya tidak ada
GLAccount-GLAccount yg terdaftar di tabel PARAMETERNOVOUCHER.

Namun bedanya kalau PJ adalah untuk jurnal yang terbentuk dari hasil user membuat dokumen Purchasing dan Goods Receipt di
aplikasi.

Dan untk Nomor urut voucher tolong utk direset menjadi 00001 lagi setiap kali ganti bulan.
Terimakasih.

Port: https://tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (di 89)

History

#1 - 04/28/2025 04:50 PM - haykal haykal

Untuk case Customer yg split payment (dua jenis pembayaran) nanti akan diupdate lagi ya, soalnya saat ini masih menunggu konfirmasi dari user.
Terimakasih.

#2 - 04/29/2025 04:27 PM - haykal haykal

Jadinya tidak ada split payment ya di CRMnya.

Terimakasih.

#3 - 04/29/2025 05:20 PM - Kezia Pawitra Yulianti

- Due date set to 05/02/2025

- Status changed from New to Assigned

- Priority changed from Normal to High

#4 - 05/05/2025 03:12 PM - Tri Rizqiaty
- File MinovalS.MinovaES.Business.Finance.dll added

- Status changed from Assigned to Developing
https://tulisan-dev.minovais.com/

Fixing :

1. Update folder AP12/bin : MinovalS.MinovaES.Business.Finance.dll

2. Add FiscalYear & FiscalPeriod di table PARAMETERNOVOUCHER untuk mereset sequence setiap period.

#5 - 05/05/2025 03:12 PM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

Tolong ditest dengan case yg sales order jg. Thanks.

#6 - 06/17/2025 12:54 PM - haykal haykal
- Status changed from QA Test to Closed

Files

TST_Template Kode Voucher (revised).xlsx 12.9 KB 04/28/2025 haykal haykal

MinovalS.MinovaES.Business.Finance.dll 105 KB 05/05/2025 Tri Rizgiaty
07/02/2025 2/2
